--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/branches ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/branches": { "get": { "tags": [ "Branch" ], "operationId": "getPublicBranchAll", "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/BranchListResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/BranchListResponse" }, "examples": { "OK - application/json": { "summary": "OK - application/json", "value": "{}" }, "OK - application/json 1": { "summary": "OK - application/json 1", "value": "{}" } } }, "text/json": { "schema": { "$ref": "#/components/schemas/BranchListResponse" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "BranchListResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/BranchResponse" } }, "totalCount": { "type": "integer", "format": "int64" } }, "additionalProperties": false }, "BranchResponse": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "name": { "type": "string" }, "nameAr": { "type": "string", "nullable": true }, "nameEn": { "type": "string", "nullable": true }, "addressUrl": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ```